<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore" Version="2.2.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.11" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.11">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.11">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Pluralize.NET" Version="1.0.2" />
		<PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="7.0.4" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="7.0.11" />
		<PackageReference Include="StackExchange.Redis" Version="2.6.122" />
		<PackageReference Include="StackExchange.Redis.Extensions.Core" Version="9.1.0" />
	</ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DocuMed.Domain\DocuMed.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="DocuMed.Common.Extensions" />
    <Using Include="DocuMed.Common.Models" />
    <Using Include="DocuMed.Common.Models.Claims" />
    <Using Include="DocuMed.Common.Models.Entity" />
    <Using Include="DocuMed.Domain.Entities.User" />
    <Using Include="DocuMed.Domain.Enums" />
    <Using Include="DocuMed.Domain.Models.Settings" />
    <Using Include="DocuMed.Repository.Extensions" />
    <Using Include="DocuMed.Repository.Models" />
    <Using Include="DocuMed.Repository.Repositories.Base.Contracts" />
    <Using Include="DocuMed.Repository.Services.Contracts" />
    <Using Include="Microsoft.AspNetCore.Identity" />
    <Using Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" />
    <Using Include="Microsoft.EntityFrameworkCore" />
    <Using Include="Microsoft.EntityFrameworkCore.ChangeTracking" />
    <Using Include="Microsoft.EntityFrameworkCore.Infrastructure" />
    <Using Include="Microsoft.EntityFrameworkCore.Storage" />
    <Using Include="Microsoft.Extensions.DependencyInjection" />
    <Using Include="Microsoft.Extensions.Logging" />
    <Using Include="Microsoft.Extensions.Options" />
    <Using Include="Pluralize.NET" />
    <Using Include="System.Diagnostics" />
    <Using Include="System.Reflection" />
  </ItemGroup>

</Project>
